org.jbpm.services.task.commands

## Class SetTaskPropertyCommand

- java.lang.Object
- - org.jbpm.services.task.commands.TaskCommand<T>
  - - org.jbpm.services.task.commands.UserGroupCallbackTaskCommand<Void>
    - - org.jbpm.services.task.commands.SetTaskPropertyCommand

- All Implemented Interfaces:
    Serializable, org.drools.core.command.impl.ExecutableCommand<Void>, org.kie.api.command.Command<Void>

      public class SetTaskPropertyCommand
      extends UserGroupCallbackTaskCommand<Void>

  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static int` | `DESCRIPTION_PROPERTY`
    `static int` | `EXPIRATION_DATE_PROPERTY`
    `static int` | `FAULT_PROPERTY`
    `static int` | `OUTPUT_PROPERTY`
    `static int` | `PRIORITY_PROPERTY`
    `static int` | `SKIPPABLE_PROPERTY`
    `static int` | `SUB_TASK_STRATEGY_PROPERTY`
    `static int` | `TASK_NAMES_PROPERTY`

    - ### Fields inherited from class org.jbpm.services.task.commands.TaskCommand

      `groupIds, targetEntityId, taskId, userId`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `SetTaskPropertyCommand()`
    `SetTaskPropertyCommand(long taskId, String userId, Integer property, Object value)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Void` | `execute(org.kie.api.runtime.Context cntxt)`
    `Date` | `getExpirationDate()`
    `JaxbFaultData` | `getFaultData()`
    `List<JaxbI18NText>` | `getNamesOrDescriptions()`
    `Object` | `getOutput()`
    `Integer` | `getPriority()`
    `Integer` | `getProperty()`
    `Boolean` | `getSkippable()`
    `org.kie.internal.task.api.model.SubTasksStrategy` | `getSubTasksStrategy()`
    `void` | `setExpirationDate(Date expirationDate)`
    `void` | `setFaultData(JaxbFaultData faultData)`
    `void` | `setNamesOrDescriptions(List<JaxbI18NText> namesOrDescriptions)`
    `void` | `setOutput(Object output)`
    `void` | `setPriority(Integer priority)`
    `void` | `setProperty(Integer name)`
    `void` | `setSkippable(Boolean skippable)`
    `void` | `setSubTasksStrategy(org.kie.internal.task.api.model.SubTasksStrategy subTasksStrategy)`

    - ### Methods inherited from class org.jbpm.services.task.commands.UserGroupCallbackTaskCommand

      `addGroupFromCallbackOperation, addUserFromCallbackOperation, doCallbackAndReturnUserOperation, doCallbackGroupOperation, doCallbackGroupsOperation, doCallbackOperationForAttachment, doCallbackOperationForComment, doCallbackOperationForPeopleAssignments, doCallbackOperationForPotentialOwners, doCallbackOperationForTaskData, doCallbackOperationForTaskDeadlines, doCallbackUserOperation, doUserGroupCallbackOperation, filterGroups, isBusinessAdmin, persistIfNotExists`

    - ### Methods inherited from class org.jbpm.services.task.commands.TaskCommand

      `getGroupsIds, getTargetEntityId, getTaskId, getUserId, setGroupsIds, setTargetEntityId, setTaskId, setUserId`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.drools.core.command.impl.ExecutableCommand

      `canRunInTransaction`

- - ### Field Detail

    - #### FAULT_PROPERTY

          public static final int FAULT_PROPERTY

      See Also:
        Constant Field Values

    - #### OUTPUT_PROPERTY

          public static final int OUTPUT_PROPERTY

      See Also:
        Constant Field Values

    - #### PRIORITY_PROPERTY

          public static final int PRIORITY_PROPERTY

      See Also:
        Constant Field Values

    - #### TASK_NAMES_PROPERTY

          public static final int TASK_NAMES_PROPERTY

      See Also:
        Constant Field Values

    - #### EXPIRATION_DATE_PROPERTY

          public static final int EXPIRATION_DATE_PROPERTY

      See Also:
        Constant Field Values

    - #### DESCRIPTION_PROPERTY

          public static final int DESCRIPTION_PROPERTY

      See Also:
        Constant Field Values

    - #### SKIPPABLE_PROPERTY

          public static final int SKIPPABLE_PROPERTY

      See Also:
        Constant Field Values

    - #### SUB_TASK_STRATEGY_PROPERTY

          public static final int SUB_TASK_STRATEGY_PROPERTY

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### SetTaskPropertyCommand

          public SetTaskPropertyCommand()

    - #### SetTaskPropertyCommand

          public SetTaskPropertyCommand(long taskId,
                                        String userId,
                                        Integer property,
                                        Object value)

  - ### Method Detail

    - #### getProperty

          public Integer getProperty()

    - #### setProperty

          public void setProperty(Integer name)

    - #### getFaultData

          public JaxbFaultData getFaultData()

    - #### setFaultData

          public void setFaultData(JaxbFaultData faultData)

    - #### getOutput

          public Object getOutput()

    - #### setOutput

          public void setOutput(Object output)

    - #### getPriority

          public Integer getPriority()

    - #### setPriority

          public void setPriority(Integer priority)

    - #### getNamesOrDescriptions

          public List<JaxbI18NText> getNamesOrDescriptions()

    - #### setNamesOrDescriptions

          public void setNamesOrDescriptions(List<JaxbI18NText> namesOrDescriptions)

    - #### getExpirationDate

          public Date getExpirationDate()

    - #### setExpirationDate

          public void setExpirationDate(Date expirationDate)

    - #### getSkippable

          public Boolean getSkippable()

    - #### setSkippable

          public void setSkippable(Boolean skippable)

    - #### getSubTasksStrategy

          public org.kie.internal.task.api.model.SubTasksStrategy getSubTasksStrategy()

    - #### setSubTasksStrategy

          public void setSubTasksStrategy(org.kie.internal.task.api.model.SubTasksStrategy subTasksStrategy)

    - #### execute

          public Void execute(org.kie.api.runtime.Context cntxt)

      Specified by:
        `execute` in interface `org.drools.core.command.impl.ExecutableCommand<Void>`
      Overrides:
        `execute` in class `UserGroupCallbackTaskCommand<Void>`

Copyright © 2001–2017 JBoss by Red Hat. All rights reserved.